require_relative 'auditable'

module StudioGame
  class Die
    include Auditable
    attr_reader :number

    def initialize
      roll
    end

    def roll
      @number = rand(1..6)
      audit
      @number
    end
  end



  class LoadedDie
    include Auditable
    attr_reader :number
  
    # def initialize
    #   roll
    # end
  
    def roll
      numbers = [1, 1, 2, 5, 6, 6]
      @number = numbers.sample
      audit
      @number
    end
  
  end
end




if __FILE__ == $0
  
  die = Die.new
  
  die = LoadedDie.new
  puts die.roll
  puts die.roll
  puts die.roll
  
end